| Home · All Classes · All Namespaces · Modules · Functions · Files

Public Types

# Tp::MethodInvocationContextTypes::Select< Index, T1, T2, T3, T4, T5, T6, T7, T8 > Struct Template Reference

`#include </home/andrunko/work/telepathy/telepathy-qt4/TelepathyQt4/method-invocation-context.h>`

Inherited by Tp::MethodInvocationContext< T1, T2, T3, T4, T5, T6, T7, T8 >::Select< Index >.

List of all members.

## Public Types

- typedef Select< Index-1, T2,
  T3, T4, T5, T6, T7, T8, Nil > Next
- typedef Next::Type Type

### template<int Index, typename T1, typename T2, typename T3, typename T4, typename T5, typename T6, typename T7, typename T8>
struct Tp::MethodInvocationContextTypes::Select< Index, T1, T2, T3, T4, T5, T6, T7, T8 >

## Member Typedef Documentation

template<int Index, typename T1 , typename T2 , typename T3 , typename T4 , typename T5 , typename T6 , typename T7 , typename T8 >

typedef Select<Index - 1, T2, T3, T4, T5, T6, T7, T8, Nil> Tp::MethodInvocationContextTypes::Select< Index, T1, T2, T3, T4, T5, T6, T7, T8 >::Next

template<int Index, typename T1 , typename T2 , typename T3 , typename T4 , typename T5 , typename T6 , typename T7 , typename T8 >

typedef Next::Type Tp::MethodInvocationContextTypes::Select< Index, T1, T2, T3, T4, T5, T6, T7, T8 >::Type